org.apache.ignite.internal.util

## Class IgniteUtils.ReentrantReadWriteLockTracer

- java.lang.Object
- - java.util.concurrent.locks.ReentrantReadWriteLock
  - - org.apache.ignite.internal.util.IgniteUtils.ReentrantReadWriteLockTracer

All Implemented Interfaces:
  Serializable, ReadWriteLock

Enclosing class:
  IgniteUtils

    public static class IgniteUtils.ReentrantReadWriteLockTracer
    extends ReentrantReadWriteLock

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.ReentrantReadWriteLock

`ReentrantReadWriteLock.ReadLock, ReentrantReadWriteLock.WriteLock`

### Constructor Summary

Constructors
Constructor and Description
`ReentrantReadWriteLockTracer(ReentrantReadWriteLock delegate, GridKernalContext kctx, long readLockThreshold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `lockWaitThreshold()`
`ReentrantReadWriteLock.ReadLock` `readLock()`
`ReentrantReadWriteLock.WriteLock` `writeLock()`

### Methods inherited from class java.util.concurrent.locks.ReentrantReadWriteLock

`getOwner, getQueuedReaderThreads, getQueuedThreads, getQueuedWriterThreads, getQueueLength, getReadHoldCount, getReadLockCount, getWaitingThreads, getWaitQueueLength, getWriteHoldCount, hasQueuedThread, hasQueuedThreads, hasWaiters, isFair, isWriteLocked, isWriteLockedByCurrentThread, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReentrantReadWriteLockTracer

    public ReentrantReadWriteLockTracer(ReentrantReadWriteLock delegate,
                                        GridKernalContext kctx,
                                        long readLockThreshold)

Parameters:
  `delegate` - RWLock delegate.
  `kctx` - Kernal context.
  `readLockThreshold` - ReadLock threshold timeout.

### Method Detail

#### readLock

    public ReentrantReadWriteLock.ReadLock readLock()

Specified by:
  `readLock` in interface `ReadWriteLock`
Overrides:
  `readLock` in class `ReentrantReadWriteLock`

#### writeLock

    public ReentrantReadWriteLock.WriteLock writeLock()

Specified by:
  `writeLock` in interface `ReadWriteLock`
Overrides:
  `writeLock` in class `ReentrantReadWriteLock`

#### lockWaitThreshold

    public long lockWaitThreshold()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020